From: Olof Johansson <olof@lixom.net>
To: Michal Marek <mmarek@suse.com>
Cc: linux-kbuild@vger.kernel.org, linux-kernel@vger.kernel.org,
dvhart@linux.intel.com, Olof Johansson <olof@lixom.net>
Subject: [PATCH 08/10] merge_config.sh: use trap for cleanup
Date: Wed, 28 Oct 2015 09:42:09 +0900 [thread overview]
Message-ID: <1445992931-28107-9-git-send-email-olof@lixom.net> (raw)
In-Reply-To: <1445992931-28107-1-git-send-email-olof@lixom.net>
Use the trap to cleanup even on regular exit.
Signed-off-by: Olof Johansson <olof@lixom.net>
---
scripts/kconfig/merge_config.sh | 8 +++++---
1 file changed, 5 insertions(+), 3 deletions(-)
diff --git a/scripts/kconfig/merge_config.sh b/scripts/kconfig/merge_config.sh
index 1945b2c..b26c0ef 100755
--- a/scripts/kconfig/merge_config.sh
+++ b/scripts/kconfig/merge_config.sh
@@ -23,10 +23,12 @@
EXITVAL=0
clean_up() {
- rm -f $TMP_FILE
+ if [ -n "$CLEAN_FILES" ] ; then
+ rm -f $CLEAN_FILES
+ fi
exit $EXITVAL
}
-trap clean_up HUP INT TERM
+trap clean_up HUP INT TERM EXIT
usage() {
echo "Usage: $0 [OPTIONS] [CONFIG [...]]"
@@ -178,4 +180,4 @@ for CFG in $(sed -n "$SED_CONFIG_EXP" $TMP_FILE); do
fi >&2
done
-clean_up
+# Note: clean_up will run here due to EXIT being trapped
--
2.1.4
next prev parent reply other threads:[~2015-10-28 0:42 UTC|newest]
Thread overview: 30+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-28 0:42 [PATCH 00/10] merge_config misc reworks and testcases Olof Johansson
2015-10-28 0:42 ` [PATCH 01/10] merge_config.sh: factor out value parsing Olof Johansson
2015-10-28 5:24 ` Darren Hart
2015-10-28 0:42 ` [PATCH 02/10] merge_config.sh: print warnings on stderr Olof Johansson
2015-10-28 5:56 ` Darren Hart
2015-10-28 0:42 ` [PATCH 03/10] merge_config.sh: minor argument parsing refactoring Olof Johansson
2015-10-28 6:00 ` Darren Hart
2015-10-28 0:42 ` [PATCH 04/10] merge_config.sh: exit non-0 in case of failures Olof Johansson
2015-10-28 6:19 ` Darren Hart
2015-10-28 0:42 ` [PATCH 05/10] merge_config.sh: Better handling of CONFIG_FOO=n Olof Johansson
2015-10-28 6:26 ` Darren Hart
2015-10-28 6:30 ` Bruce Ashfield
2015-10-28 0:42 ` [PATCH 06/10] merge_config.sh: only consider last value of symbols Olof Johansson
2015-10-28 6:36 ` Darren Hart
2015-10-28 0:42 ` [PATCH 07/10] merge_config.sh: add tests Olof Johansson
2015-10-28 7:00 ` Darren Hart
2015-10-28 7:07 ` Olof Johansson
2015-10-28 0:42 ` Olof Johansson [this message]
2015-10-28 7:11 ` [PATCH 08/10] merge_config.sh: use trap for cleanup Darren Hart
2015-10-28 7:28 ` Darren Hart
2015-10-28 0:42 ` [PATCH 09/10] merge_config.sh: allow single configs to be passed in on cmdline Olof Johansson
2015-10-28 7:22 ` Darren Hart
2015-10-28 0:42 ` [PATCH 10/10] merge_config.sh: add tests for cmdline configs Olof Johansson
2015-10-28 7:32 ` Darren Hart
2015-10-28 0:46 ` [PATCH 00/10] merge_config misc reworks and testcases Olof Johansson
2015-11-06 16:07 ` Michal Marek
2015-10-28 5:02 ` Darren Hart
2015-10-28 5:30 ` Bruce Ashfield
2015-10-28 7:05 ` Darren Hart
-- strict thread matches above, loose matches on Subject: below --
2015-05-20 22:00 Olof Johansson
2015-05-20 22:00 ` [PATCH 08/10] merge_config.sh: use trap for cleanup Olof Johansson
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1445992931-28107-9-git-send-email-olof@lixom.net \
--to=olof@lixom.net \
--cc=dvhart@linux.intel.com \
--cc=linux-kbuild@vger.kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=mmarek@suse.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®